Package com.massivecraft.factions.cmd.logout

## Class LogoutHandler

- java.lang.Object
- - com.massivecraft.factions.cmd.logout.LogoutHandler

    public class LogoutHandler
    extends java.lang.Object

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.util.Map<java.lang.String,​LogoutHandler>` | `factionDatas` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`LogoutHandler​(java.lang.String name)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `applyLogoutCooldown​(org.bukkit.entity.Player player)` |
`void` | `cancelLogout​(org.bukkit.entity.Player player)` |
`static LogoutHandler` | `getByName​(java.lang.String name)` |
`boolean` | `isLogoutActive​(org.bukkit.entity.Player player)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### factionDatas

    public static java.util.Map<java.lang.String,​LogoutHandler> factionDatas

### Constructor Detail

#### LogoutHandler

    public LogoutHandler​(java.lang.String name)

### Method Detail

#### getByName

    public static LogoutHandler getByName​(java.lang.String name)

#### isLogoutActive

    public boolean isLogoutActive​(org.bukkit.entity.Player player)

#### cancelLogout

    public void cancelLogout​(org.bukkit.entity.Player player)

#### applyLogoutCooldown

    public void applyLogoutCooldown​(org.bukkit.entity.Player player)